export default function lowCodeProps(info) {
	return {
		searchType: 'instructorSearch', // teacherSearch || studentSearch || instructorSearch
    apiParams: { // 30357 北电]辅导员考核-考核批次设置，辅导员筛选那50个辅导员
      isCounselor: true,
    },
		ModalProps: {
			// 弹窗的属性
			title: '选择辅导员',
		},
		firstSearchProps: {
			// 最左侧搜索栏的属性
			inputProps: {
				placeholder: '输入辅导员姓名/工号搜索',
			},
			searchResultTitle: '搜索结果',
		},
		secondTreeProps: {
			// 树形
			title: '部门',
			loadingTreeDataMessage: '正在加载数据',
		},
		thirdDetailListProps: {
			// 第三栏
			title: '详细辅导员列表',
			emptyMessage: '暂无详细辅导员列表数据',
		},
		fourRangeProps: {
			// 第四栏
			title: '所选择的辅导员范围',
			emptyMessage: '暂无选中的辅导员',
		},
		getResultProps: {
			emptySelectMessage: '请至少选择一个辅导员',
			message: '正在查询中,请耐心等待',
		},
	};
}

/**
 * 使用方法

 return {
    before: [
         {
            children: "选择辅导员", type: "primary", onClick: () => {
                // 钟是志
                // 2022年10月12日
                // 解决按部门选择 辅导员, 选择老师, 选择学生的需求
                // window.smartFormSelectPersonComponent.lowCodeProps =
                //     {
                //         searchType: 'instructorSearch', // teacherSearch || studentSearch || instructorSearch
                //         ModalProps: { // 弹窗的属性
                //         title: '选择辅导员',
                //         },
                //         firstSearchProps: { // 最左侧搜索栏的属性
                //         inputProps: {
                //             placeholder: '输入辅导员姓名/工号搜索',
                //         },
                //         searchResultTitle: '搜索结果',
                //         },
                //         secondTreeProps: { // 树形
                //         title: '部门',
                //         loadingTreeDataMessage: '正在加载数据',
                //         },
                //         thirdDetailListProps: { // 第三栏
                //         title: '详细辅导员列表',
                //         emptyMessage: '暂无详细辅导员列表数据',
                //         },
                //         fourRangeProps: { // 第四栏
                //         title: '所选择的辅导员范围',
                //         emptyMessage: '暂无选中的辅导员',
                //         },
                //         getResultProps: {
                //         emptySelectMessage: '请至少选择一个辅导员',
                //         message: '正在查询中,请耐心等待',
                //         },
                //     };
                if (window.smartFormSelectPersonComponent) {
                    // window.smartFormSelectPersonComponent.initShowData({
                    // 初始化显示的选中数据 从 callback 的componentState读取
                    //     "checkedList": [],
                    //     "sgUserIds": ['40-1723", "40-1470", "40-971'],
                    //     "sgUsers": [{
                    //         "businessKey": "40-1723",
                    //         "businessMemo": "",
                    //         "businessName": "丁心",
                    //         "children": [],
                    //         "ext": null,
                    //         "isSelect": true,
                    //         "level": 1
                    //     }, {
                    //         "businessKey": "40-1470",
                    //         "businessMemo": "",
                    //         "businessName": "程丽娜",
                    //         "children": [],
                    //         "ext": null,
                    //         "isSelect": true,
                    //         "level": 1
                    //     }, {
                    //         "businessKey": "40-971",
                    //         "businessMemo": "",
                    //         "businessName": "石头",
                    //         "children": [],
                    //         "ext": null,
                    //         "isSelect": true,
                    //         "level": 1
                    //     }],
                    //     "searchKey": "",
                    //     "searchResult": []
                    // });

                    window.smartFormSelectPersonComponent.callback = ({ value, componentState }) => { // 回调函数
                        console.log(value, JSON.stringify(componentState));
                        // componentState 用于组件数据回显,
                    };
                    window.smartFormSelectPersonComponent.changeShow(); // 打开弹窗
                }
            }
        },

    ]
}
 ** 使用方法
 * */
